summaryrefslogtreecommitdiff
path: root/tools/to-pack/sub-script/upload-local.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/to-pack/sub-script/upload-local.sh')
-rw-r--r--tools/to-pack/sub-script/upload-local.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/tools/to-pack/sub-script/upload-local.sh b/tools/to-pack/sub-script/upload-local.sh
new file mode 100644
index 0000000..c42e055
--- /dev/null
+++ b/tools/to-pack/sub-script/upload-local.sh
@@ -0,0 +1,33 @@
+#!/bin/bash
+
+if [ "${TEMP_PATH}" = "" ]
+then
+ exit;
+fi
+
+mkdir -p ${TEMP_PATH}
+cd ${TEMP_PATH}/
+
+rsync -avrtz --compress-level=9 --rsh='ssh -p54973' --partial --progress /mnt/world/ultracopier-temp/ultracopier-*.dmg root@ssh.first-world.info:/home/first-world.info/files-rw/ultracopier/${ULTRACOPIER_VERSION}/ --timeout=120
+RETURNA=$?
+while [ ${RETURNA} -ne 0 ] && [ ${RETURNA} -ne 20 ] && [ ${RETURNA} -ne 255 ]
+do
+ rsync -avrtz --compress-level=9 --rsh='ssh -p54973' --partial --progress /mnt/world/ultracopier-temp/ultracopier-*.dmg root@ssh.first-world.info:/home/first-world.info/files-rw/ultracopier/${ULTRACOPIER_VERSION}/ --timeout=120
+ RETURNA=$?
+ echo ${RETURNA}
+done
+
+
+rsync -avrtzu --compress-level=9 --rsh='ssh -p54973' --partial --progress /mnt/world/ultracopier-temp/plugins/ root@ssh.first-world.info:/home/first-world.info/files-rw/ultracopier/plugins/ --timeout=120
+RETURNB=$?
+while [ ${RETURNB} -ne 0 ] && [ ${RETURNB} -ne 20 ] && [ ${RETURNB} -ne 255 ]
+do
+ rsync -avrtzu --compress-level=9 --rsh='ssh -p54973' --partial --progress /mnt/world/ultracopier-temp/plugins/ root@ssh.first-world.info:/home/first-world.info/files-rw/ultracopier/plugins/ --timeout=120
+ RETURNB=$?
+ echo ${RETURNB}
+done
+
+#if [ "${RETURNA}" -eq 0 ] && [ "${RETURNB}" -eq 0 ]
+#then
+# rm -Rf /mnt/world/ultracopier-temp/*.dmg /mnt/world/ultracopier-temp/*.tar.xz /mnt/world/ultracopier-temp/plugins/
+#fi